CRYPTO_SHASH_IMPORT(9)

NAME
crypto_shash_import - import operational state

SYNOPSIS

int crypto_shash_import(struct shash_desc * desc, const void * in);

ARGUMENTS

desc
    reference to the operational state handle the state imported into

in
    buffer holding the state

DESCRIPTION

This function imports the hash state into the operational state handle from the input buffer. That buffer should have been generated with the crypto_ahash_export function.

RETURN

0 if the import was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT